<?php
//判断访问者是手机用户还是电脑用户
function isMobile(){
	if(isset($_SERVER["HTTP_X_WAP_PROFILE"])){
		return true;
	}
	
	if(isset($_SERVER["HTTP_VIA"])){
		if(strpos($_SERVER["HTTP_VIA"],"wap")){
			return true;
		}
	}
	
	if(isset($_SERVER["HTTP_USER_AGENT"])){
		$mobileKeyWord = array(
		'nokia',
		'sony',
		'ericsson',
		'mot',
		'samsung',
		'htc',
		'sgh',
		'lg',
		'sharp',
		'sie-',
		'philips',
		'panasonic',
		'alcatel',
		'lenovo',
		'iphone',
		'ipod',
		'blackberry',
		'meizu',
		'android',
		'netfront',
		'symbian',
		'ucweb',
		'windowsce',
		'palm',
		'operamini',
		'operamobi',
		'openwave',
		'nexusone',
		'cldc',
		'midp',
		'wap',
		'mobile'
		);
		foreach($mobileKeyWord as $value){
			if(stristr($_SERVER["HTTP_USER_AGENT"],$value)){
			return true;
			}
		}
		
	}
}

?>